Skip to main content
POST
cURL

Path Parameters

signerId
string<uuid>
required

Body

application/json
caId
string<uuid>
required

The DigiCert certificate authority the order belongs to.

externalOrderId
string
required

The DigiCert order whose certificate the signer will use.

Required string length: 1 - 32
certificate
object
required
certificateRenewBeforeDays
integer | null

Days before expiry to renew the certificate with the same HSM key. Must be less than the certificate's validity. Omit to keep the signer's current setting, or set to null to turn renewal off.

Required range: 1 <= x <= 30

Response

Default Response

id
string<uuid>
required
name
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
description
string | null
status
string
default:active
certificateId
string<uuid> | null
approvalPolicyId
string<uuid> | null
lastSignedAt
string<date-time> | null
caId
string<uuid> | null
commonName
string | null
certificateTtlDays
number | null
certificateRenewBeforeDays
number | null
certificateFailureReason
string | null
keyAlgorithm
string
default:RSA_2048
externalCaConfig
unknown